Aller au contenu

Le profil du membre connecté

GET
/v1/me
curl --request GET \
--url https://api.vimine.network/v1/me \
--header 'Authorization: Bearer <token>'

Le profil

Type de médiaapplication/json
object
sub
obligatoire

L’identifiant de sujet de cette personne, tel qu’il figure dans le jeton d’identité

string
email
obligatoire
string format : email
email_verified
obligatoire
boolean
first_name
string
nullable
last_name
string
nullable
phone
string
nullable
dob
string format : date
nullable
gender

Démographique seulement

string
nullable
Valeurs autorisées : M F
birthplace
string
nullable
birth_country

ISO 3166-1 alpha-2

string
nullable
codicefiscale

Facultatif : une personne peut ne pas en avoir

string
nullable
codicefiscale_check

Comment la personne est identifiée. matched : un code fiscal qui concorde avec ses données de naissance ; mismatch_confirmed : un code en désaccord, confirmé par la personne ; absent : pas de code — la date, le lieu et le pays de naissance l’identifient ; null : pas encore identifiée (elle ne peut pas demander d’adhésion)

string
nullable
Valeurs autorisées : matched mismatch_confirmed absent
locale

La langue que la personne a choisie pour la plateforme et ses e-mails ; null : jamais choisie — la langue de la requête, puis celle de l’association, s’applique

string
nullable
Valeurs autorisées : it en zh-Hans zh-Hant fr es de pt-BR
updated_at
string format : date-time
nullable
Exemple
{
"gender": "M",
"codicefiscale_check": "matched",
"locale": "it"
}

Requête invalide

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Identifiants manquants ou invalides

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Non autorisé

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Introuvable

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Limite de débit atteinte

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erreur interne

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}